[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Conecting 2.0 <-> 2.2 ?

so I need to upgrade from 2.0.27 to 2.2.13

Many thanks for the comments


Quanah Gibson-Mount wrote:

--On Wednesday, May 25, 2005 11:51 AM -0400 "Oliver Schulze L." <oliver@samera.com.py> wrote:

I want to have a master/slave setup using:
Master: openldap 2.2.13 (RHEL 4)
Slave: openldap 2.0.27 (RHEL 3.4)

This setup was working when both server were in RH9.
Is this posible? How can I setup the initial database?
I used slapcat in 2.2 to produce an .ldif file but could not
slapadd it in the 2.0 openldap server.

No it is not possible to replicate from 2.1 or later to a 2.0 system, as 2.1 and later became more RFC compliant than 2.0 ever was.


Quanah Gibson-Mount
Principal Software Developer
ITSS/Shared Services
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html

"These censorship operations against schools and libraries are stronger
than ever in the present religio-political climate. They often focus on
fantasy and sf books, which foster that deadly enemy to bigotry and blind
faith, the imagination." -- Ursula K. Le Guin

Oliver Schulze L.